Bug 1419060 - [RFE] Auto selection of datastore while provisioning the host in VMware.
Summary: [RFE] Auto selection of datastore while provisioning the host in VMware.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - VMWare
Version: 6.2.5
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
: 1419181 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 15:07 UTC by Varatharaja Perumal G
Modified: 2019-11-05 23:03 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Select the storage pod (19.70 KB, image/png)
2018-09-11 12:50 UTC, Sanket Jagtap
no flags Details
Selected datastores (27.87 KB, image/png)
2018-09-11 12:51 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:17 UTC
Foreman Issue Tracker 4509 None None None 2017-10-27 18:20:08 UTC
Red Hat Bugzilla 1204598 None None None 2019-09-10 12:58:06 UTC
Red Hat Bugzilla 1607408 None VERIFIED VM getting provisioned with the wrong storage. 2019-09-10 12:58:06 UTC

Internal Links: 1204598 1607408

Description Varatharaja Perumal G 2017-02-03 15:07:12 UTC
1. Proposed title of this feature request
  
  [RFE] Auto select datastore while provisioning the host in VMware.

2. What are the nature and description of the request?
	
 When we create a compute profile, Satellite recognizes the datastore cluster, But then it ask us to select a datastore. The customer feels that the datastore should be selected based on VMWare's storage recommendation at the time of the VM build. That's the whole point of the datastore cluster - Cu should be able to provision 100 VMs at a time and not have to worry about filling up single datastore. Satellite should negotiate with VMWare to evenly distribute the VMs. Cu don't want to configure different compute profile for each datastore. He wants to use a single compute profile where it negotiates for datastore to avoid manual work.

3. Why does the customer need this?

 Tie the compute profile only to a datastore cluster so we do not need multiple profiles.

 Satellite should then negotiate the target datastore with vSphere at the time of building a host.

 Make Satellite provisioning aware of vSphere Storage DRS to support the above.

4. How would the customer like to achieve this?

  Customer want to achieve this from WebUI or API

5. Is there already an existing RFE upstream or in Red Hat Bugzilla? 

Not that I'm aware of.

8. Does the customer have any specific timeline dependencies and which release 

Sooner is better. 

9. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 3 Marek Hulan 2017-10-23 16:31:52 UTC
*** Bug 1419181 has been marked as a duplicate of this bug. ***

Comment 5 pm-sat@redhat.com 2017-10-27 20:14:25 UTC
Upstream bug assigned to szadok@redhat.com

Comment 6 pm-sat@redhat.com 2017-10-27 20:14:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/4509 has been resolved.

Comment 11 Sanket Jagtap 2018-09-11 12:48:04 UTC
Build:Satellite 6.4.0 snap21

Created a Host with Storage Pod, that is a data-store cluster

When we select the storage pod we can no more select the data-store and host will automatically be provisioned in the data-stores that are present in Storage pod by Vmware cluster Policy.

PFA for the host settings

Comment 12 Sanket Jagtap 2018-09-11 12:50:05 UTC
Created attachment 1482350 [details]
Select the storage pod

Comment 13 Sanket Jagtap 2018-09-11 12:51:13 UTC
Created attachment 1482351 [details]
Selected datastores

Automatically the datastore for the storage of the host is selected based on Vmware policy

Comment 15 errata-xmlrpc 2018-10-16 15:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.